Bug 1028657 - couchdb should also be usable under normal users
couchdb should also be usable under normal users
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: couchdb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 01:45 EST by Christopher Meng
Modified: 2016-03-03 14:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-09 01:45:12 EST
1. Running under normal user:

[rpmaker@fab fedpkg]$ couchdb
Apache CouchDB 1.3.1 (LogLevel=info) is starting.
Error opening log file /var/log/couchdb/couch.log: permission denied{"init terminating in do_boot",{{badmatch,{error,{bad_return,{{couch_app,start,[normal,["/etc/couchdb/default.ini","/etc/couchdb/local.ini"]]},{'EXIT',{{badmatch,{error,{shutdown,{failed_to_start_child,couch_primary_services,{shutdown,{failed_to_start_child,couch_log,{error,"permission denied","/var/log/couchdb/couch.log"}}}}}}},[{couch_server_sup,start_server,1,[{file,"couch_server_sup.erl"},{line,98}]},{application_master,start_it_old,4,[{file,"application_master.erl"},{line,269}]}]}}}}}},[{couch,start,0,[{file,"couch.erl"},{line,18}]},{init,start_it,1,[]},{init,start_em,1,[]}]}}

2. Running under root:

[root@fab fedpkg]# couchdb
Apache CouchDB 1.3.1 (LogLevel=info) is starting.
Apache CouchDB has started. Time to relax.
[info] [<0.31.0>] Apache CouchDB has started on http://127.0.0.1:5984/

I don't know why this happened, but I think there might have some dirs/files are operated by incorrect permissions setting.
Comment 1 Peter Lemenkov 2013-11-11 07:05:17 EST
Confirmed. I suppose that if couchdb runs under different user it should respect "XDG Base Directory Specification" instead of using hardcoded variables. I'll try to fix that in the next build.
Comment 2 Warren Togami 2014-07-03 02:56:59 EDT
I believe /bin/couchdb options lets you override the config, log and pid paths with command line switches.  Is this insufficient?

/bin/couchdb is from upstream, this isn't a Fedora-specific thing.
Comment 3 Jaroslav Reznik 2015-03-03 11:56:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Note You need to log in before you can comment on or make changes to this bug.